Bug 5842 - pnp.rc замирает на 1.5-2 минуты во время загрузки
: pnp.rc замирает на 1.5-2 минуты во время загрузки
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hotplug)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-09 22:49 by
Modified: 2005-09-19 12:00 (History)


Attachments
кусок лога загрузки pnp.rc, в котором отчетливо видны 20-секундные задержки (2.94 KB, text/plain)
2005-01-09 22:50, Eugene V. Horohorin
no flags Details
pciscan -v (2.62 KB, text/plain)
2005-01-09 22:51, Eugene V. Horohorin
no flags Details
pciscan -v on SIS645Ultra (2.28 KB, text/plain)
2005-02-01 00:01, Serge Polkovnikov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-09 22:49:07
Во время загрузки pnp.rc пытается 2 раза загрузить модуль snd-cs4232 (не имеет
никакого отношения к моей конфигурации ПК) и 1 раз модуль snd-wavefront. В
результате этого, каждый раз система думает по 20 секунд, выдавая в логи строку
"Set default mixer values for /class/sound/controlC0 (0)" -- отчетливо видно в
логах с точностью до секунд (четыре 20-секундных задержки в 22:25:35, 22:25:59,
22:26:21, 22:26:46). Тем самым загрузка pnp.rc растягивается до 2 минут.
------- Comment #1 From 2005-01-09 22:50:18 -------
Created an attachment (id=684) [details]
кусок лога загрузки pnp.rc, в котором отчетливо видны 20-секундные задержки
------- Comment #2 From 2005-01-09 22:51:05 -------
Created an attachment (id=685) [details]
pciscan -v
------- Comment #3 From 2005-01-25 15:33:22 -------
fixed(hotplug-2004_09_23-alt6)
------- Comment #4 From 2005-01-26 22:17:15 -------
Ничего не изменилось, hotplug-2004_09_23-alt6 по прежнему жумает по 2 минуты,
пытаясь загрузить "левые" модули для несуществующего железа.

Выдержка из /var/log/messgaes:
Jan 26 22:07:45 genix pnp.rc[2740]: missing kernel or user mode driver atkbd 
Jan 26 22:07:46 genix kernel: gameport: NS558 PnP at pnp00:0b io 0x201 size 7
speed 877 kHz
Jan 26 22:07:47 genix sound.agent[3693]: Restore mixer values for
/class/sound/controlC0 (0)
Jan 26 22:07:48 genix sound.agent[3693]: Set default mixer values for
/class/sound/controlC0 (0)
Jan 26 22:08:09 genix kernel: CS4232 soundcard not found or device busy
Jan 26 22:08:09 genix sound.agent[3693]: Save mixer values for
/class/sound/controlC0 (0)
Jan 26 22:08:11 genix insmod: insmod: insmod snd-cs4232 failed
Jan 26 22:08:11 genix pnp.rc[2740]: ... can't load module snd-cs4232
Jan 26 22:08:11 genix pnp.rc[2740]: missing kernel or user mode driver
snd-cs4232 
Jan 26 22:08:11 genix sound.agent[4591]: Set default mixer values for
/class/sound/controlC0 (0)
Jan 26 22:08:12 genix kernel: CS4232 soundcard not found or device busy
Jan 26 22:08:33 genix sound.agent[4591]: Save mixer values for
/class/sound/controlC0 (0)
Jan 26 22:08:34 genix insmod: insmod: insmod snd-cs4232 failed
Jan 26 22:08:34 genix pnp.rc[2740]: ... can't load module snd-cs4232
Jan 26 22:08:34 genix pnp.rc[2740]: missing kernel or user mode driver
snd-cs4232 
Jan 26 22:08:35 genix sound.agent[5468]: Set default mixer values for
/class/sound/controlC0 (0)
Jan 26 22:08:55 genix kernel: No WaveFront cards found or devices busy
Jan 26 22:08:56 genix sound.agent[5468]: Save mixer values for
/class/sound/controlC0 (0)
Jan 26 22:08:58 genix insmod: insmod: insmod snd-wavefront failed
Jan 26 22:08:58 genix pnp.rc[2740]: ... can't load module snd-wavefront
Jan 26 22:08:58 genix pnp.rc[2740]: missing kernel or user mode driver
snd-wavefront 
Jan 26 22:08:58 genix sound.agent[6347]: Set default mixer values for
/class/sound/controlC0 (0)
Jan 26 22:09:14 genix kernel: No WaveFront cards found or devices busy
Jan 26 22:09:20 genix sound.agent[6347]: Save mixer values for
/class/sound/controlC0 (0)
Jan 26 22:09:22 genix insmod: insmod: insmod snd-wavefront failed
Jan 26 22:09:22 genix pnp.rc[2740]: ... can't load module snd-wavefront
Jan 26 22:09:22 genix pnp.rc[2740]: missing kernel or user mode driver
snd-wavefront 
Jan 26 22:09:23 genix hotplug: Hotplug (pnp.rc) start: succeeded
------- Comment #5 From 2005-01-31 23:46:17 -------
Подтверждаю, у меня полностью аналогичная ерунда... 
------- Comment #6 From 2005-02-01 00:01:27 -------
Created an attachment (id=715) [details]
pciscan -v on SIS645Ultra

В догонку мой pciscan -v.
Мать SIS645Ultra
------- Comment #7 From 2005-02-01 12:37:09 -------
покажите мне пожалуйста вывод:
for i in /sys/bus/pnp/devices/*;do echo $i;cat $i/id;done

Есть ли в системе набортные звуковухи ?

2vsu: я у себя это воспроизвел:
/sys/bus/pnp/devices/00:0d
PNPb006

Соответственно:
# modinfo snd-cs4232      
filename:      
/lib/modules/2.6.10-std26-up-alt2/kernel/sound/isa/cs423x/snd-cs4232.ko
author:         Jaroslav Kysela <perex@suse.cz>
license:        GPL
description:    Cirrus Logic CS4232
parm:           index:Index value for CS4232 soundcard.
parm:           id:ID string for CS4232 soundcard.
parm:           enable:Enable CS4232 soundcard.
parm:           isapnp:ISA PnP detection for specified soundcard.
parm:           port:Port # for CS4232 driver.
parm:           cport:Control port # for CS4232 driver.
parm:           mpu_port:MPU-401 port # for CS4232 driver.
parm:           fm_port:FM port # for CS4232 driver.
parm:           sb_port:SB port # for CS4232 driver (optional).
parm:           irq:IRQ # for CS4232 driver.
parm:           mpu_irq:MPU-401 IRQ # for CS4232 driver.
parm:           dma1:DMA1 # for CS4232 driver.
parm:           dma2:DMA2 # for CS4232 driver.
vermagic:       2.6.10-std26-up-alt2 preempt 586 gcc-3.3
depends:        snd-cs4231-lib,snd-opl3-lib,snd,snd-mpu401-uart
alias:          pnp:cCSC0d32dCSC0000dCSC0010dPNPb006*
alias:          pnp:cCSC1a32dCSC0000dCSC0010dCSC0003*
alias:          pnp:cCSC4232dCSC0000dCSC0002dCSC0003*
alias:          pnp:cCSC4236dCSC0000dCSC0010dCSC0003*
alias:          pnp:cCSC7532dCSC0000dCSC0010dCSCb006*
alias:          pnp:cCSC7632dCSC0000dCSC0010dPNPb006*
alias:          pnp:cCSCf032dCSC0000dCSC0010dCSC0003*
srcversion:     C6A88353A1DF5F76337E45A

И исходя из этого идет загрузка этого драйвера.
snd-wavefront тоже пытается цепляться к этому MIDI порту.

Что с этим делать будем ? по хорошему надо фиксить драйвера.

------- Comment #8 From 2005-02-01 21:42:50 -------
# for i in /sys/bus/pnp/devices/*;do echo $i;cat $i/id;done 
/sys/bus/pnp/devices/00:00 
PNP0200 
/sys/bus/pnp/devices/00:01 
PNP0b00 
/sys/bus/pnp/devices/00:02 
PNP0800 
/sys/bus/pnp/devices/00:03 
PNP0c04 
/sys/bus/pnp/devices/00:04 
PNP0f03 
PNP0f13 
/sys/bus/pnp/devices/00:05 
PNP0303 
PNP030b 
/sys/bus/pnp/devices/00:06 
PNP0700 
/sys/bus/pnp/devices/00:07 
PNP0501 
/sys/bus/pnp/devices/00:08 
PNP0501 
/sys/bus/pnp/devices/00:09 
PNP0401 
/sys/bus/pnp/devices/00:0a 
PNPb02f 
/sys/bus/pnp/devices/00:0b 
PNPb006 
------- Comment #9 From 2005-02-09 22:33:06 -------
Ну что? Будут изменения в лучшую сторону? 
------- Comment #10 From 2005-02-10 09:57:37 -------
Конечно будут. Сейчас думаю как переписать этот pnp.rc ;-(
------- Comment #11 From 2005-02-18 10:16:05 -------
pnp.rc переписан в новом hotplug (2004_09_23-alt7)